Package com.ngrok.definitions

# Class IpPolicy

java.lang.Object
com.ngrok.definitions.IpPolicy

public class IpPolicy extends Object
A class encapsulating the `IpPolicy` resource.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IpPolicy(String id, URI uri, OffsetDateTime createdAt, String description, String metadata)`
  Creates a new instance of `IpPolicy`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `OffsetDateTime`
  `getCreatedAt()`
  timestamp when the IP policy was created, RFC 3339 format
  `String`
  `getDescription()`
  human-readable description of the source IPs of this IP policy.
  `String`
  `getId()`
  unique identifier for this IP policy
  `String`
  `getMetadata()`
  arbitrary user-defined machine-readable data of this IP policy.
  `URI`
  `getUri()`
  URI of the IP Policy API resource
  `int`
  `hashCode()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IpPolicy

    public IpPolicy(String id, URI uri, OffsetDateTime createdAt, String description, String metadata)
    Creates a new instance of `IpPolicy`.
    Parameters:
      `id` - unique identifier for this IP policy
      `uri` - URI of the IP Policy API resource
      `createdAt` - timestamp when the IP policy was created, RFC 3339 format
      `description` - human-readable description of the source IPs of this IP policy. optional, max 255 bytes.
      `metadata` - arbitrary user-defined machine-readable data of this IP policy. optional, max 4096 bytes.

- ## Method Details

  - ### getId

    public String getId()
    unique identifier for this IP policy
    Returns:
      the value of the property as a `String`

  - ### getUri

    public URI getUri()
    URI of the IP Policy API resource
    Returns:
      the value of the property as a `URI`

  - ### getCreatedAt

    public OffsetDateTime getCreatedAt()
    timestamp when the IP policy was created, RFC 3339 format
    Returns:
      the value of the property as a `OffsetDateTime`

  - ### getDescription

    public String getDescription()
    human-readable description of the source IPs of this IP policy. optional, max 255 bytes.
    Returns:
      the value of the property as a `String`

  - ### getMetadata

    public String getMetadata()
    arbitrary user-defined machine-readable data of this IP policy. optional, max 4096 bytes.
    Returns:
      the value of the property as a `String`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`